=== modified file 'BRANCH.TODO'
--- BRANCH.TODO	2010-07-09 23:09:39 +0000
+++ BRANCH.TODO	2010-07-10 18:03:22 +0000
@@ -3,7 +3,6 @@
 # 
 #
 
-* rename new_files
 * test that backup.~2~ increments  (add test for gen_backup_name)
 * factor out some common test code
 * update documentation

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2010-07-09 22:45:25 +0000
+++ bzrlib/workingtree.py	2010-07-10 18:03:22 +0000
@@ -1969,7 +1969,7 @@
 
         inv_delta = []
 
-        new_files=set()
+        all_files = set() # specified and nested files 
         unknown_nested_files=set()
         if to_file is None:
             to_file = sys.stdout
@@ -1984,7 +1984,7 @@
                     # Is it versioned or ignored?
                     if self.path2id(relpath):
                         # Add nested content for deletion.
-                        new_files.add(relpath)
+                        all_files.add(relpath)
                     else:
                         # Files which are not versioned
                         # should be treated as unknown.
@@ -1995,10 +1995,10 @@
             abspath = self.abspath(filename)
             filename = self.relpath(abspath)
             if len(filename) > 0:
-                new_files.add(filename)
+                all_files.add(filename)
                 recurse_directory_to_add_files(filename)
 
-        files = list(new_files)
+        files = list(all_files)
 
         if len(files) == 0:
             return # nothing to do

